/*
 * Programming in Java, Jacobs University, 2015
 *
 * This file implements the class Rot13Reader, a FilterReader that
 * applies rot13 to all letters (a-z,A-Z) passed to it.
 */

import java.io.IOException;
import java.io.Reader;
import java.io.FilterReader;
import java.io.InputStreamReader;
import java.util.Scanner;

public class Rot13Reader extends FilterReader
{
    public Rot13Reader(Reader in)
    {
	super(in);
    }

    public int read()
	throws IOException
    {
	return rot13(in.read());
    }
    
    public int read(char[] cbuf, int off, int len)
	throws IOException
    {
	int num = in.read(cbuf, off, len);

	for (int i = 0; i < cbuf.length; i++) {
	    cbuf[i] = (char) rot13(cbuf[i]);
	}
	
	return num;
    }

    private int rot13(int c)
    {
	if       (c >= 'a' && c <= 'm') c += 13;
	else if  (c >= 'A' && c <= 'M') c += 13;
	else if  (c >= 'n' && c <= 'z') c -= 13;
	else if  (c >= 'N' && c <= 'Z') c -= 13;
	return c;
    }

    static public void main(String[] args)
	throws IOException
    {
	Reader in = new Rot13Reader(new InputStreamReader(System.in));
	Scanner sc = new Scanner(in);

	while (sc.hasNextLine()) {
	    String line = sc.nextLine();
	    System.out.println(line);
	}
    }
}
